org.apache.cassandra.dht

## Class StringToken

- java.lang.Object
- - org.apache.cassandra.dht.Token<java.lang.String>
  - - org.apache.cassandra.dht.StringToken

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Token<java.lang.String>>, RingPosition<Token<java.lang.String>>

      public class StringToken
      extends Token<java.lang.String>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.dht.Token

      `Token.KeyBound, Token.TokenFactory<T>, Token.TokenSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.dht.Token

      `serializer, token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringToken(java.lang.String token)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Token<java.lang.String> o)` This determines the comparison for node destination purposes.

    - ### Methods inherited from class org.apache.cassandra.dht.Token

      `equals, getToken, hashCode, isMinimum, isMinimum, maxKeyBound, maxKeyBound, minKeyBound, minKeyBound, toString, upperBound`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringToken

          public StringToken(java.lang.String token)

  - ### Method Detail

    - #### compareTo

          public int compareTo(Token<java.lang.String> o)

      Description copied from class: `Token`
      This determines the comparison for node destination purposes.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<Token<java.lang.String>>`
      Specified by:
        `compareTo` in class `Token<java.lang.String>`

Copyright © 2014 The Apache Software Foundation